お知らせ

--------------------------------------------------

プログラム作成/コンサルティングの申し込みはこちら

--------------------------------------------------

2014年9月3日水曜日

Hatch Maker を使用して簡単にハッチングパターンを作成(AutoCAD 2015)

ハッチング パターンってカスタマイズしてます?
こちら にハッチング パターンのカスタマイズについて書かれていますが、これって結構面倒ですよね。


でも、cadalyst の Web サイトの こちら にある Hatch Maker というものを使うと、簡単にハッチング パターンを作ることができます。

私が試してみた操作を動画にしてみたので見てみてください。

2014年7月9日水曜日

不要なプリンタを 印刷 ダイアログの一覧から消す方法(AutoCAD 2015)

[印刷] ダイアログでプリンタを選ぶとき、一覧に一杯プリンタが出てきて使いたいものを探すのに時間がかかるってことないですか?

そんなときは、不要なものは全部表示されないようにしましょう。

.pc3 ファイルは PLOTTERMANAGER[プロッタ管理] コマンドを実行すると表示されるフォルダから削除すれば表示されなくなります。

システムプリンタは、[オプション] ダイアログの [印刷とパブリッシュ] タブにある 「システム プリンタを非表示」 にチェックを入れておけば表示されなくなります。

動画も作ったので見てみてください。

2014年6月18日水曜日

AutoCAD 2015 SP1 がリリースされました

AutoCAD 2015 から Autodesk Application Manager というものがあって、それで Service Pack をインストールすることができます。
Service Pack ではいろいろな問題が修正されているんですが、今回のものは新しいシステム変数の CURSORBADGE というものが追加されているようです。
AutoCAD 2015 からカーソルの右上にカーソル バッジというアイコンが表示されるようになったんですが、それの 表示/非表示 を切り替えられるものです。
私的には表示されていても邪魔とは思わないんですが、表示しなくていいよって人がいて追加されたんですかね???

動画も作ったので見てみてください。

2014年6月11日水曜日

外部参照の一部だけを表示する(AutoCAD 2015)

外部参照って使ってます?
もし使ってれば、XCLIP[クリップ境界を作成] というコマンドで、それの一部
だけを表示する機能があるので、覚えておけば便利です。
境界として使えるのはポリラインで、囲んだ 中だけ/外だけ を表示させるこ
とができるという機能です。
境界として円は指定できないんですが、円っぽいポリラインを作成しておけば、
境界を円っぽいものにすることもできます。
動画も作ったので見てみてください。

2014年6月4日水曜日

寸法許容差の大きさ、位置合わせなど(AutoCAD 2015)

今日は寸法許容差についてです。

AutoCAD に元からあるテンプレートでは、寸法許容差の上下の位置合わせが思ったようにならないってことがあります。

また、文字の高さも寸法値とおなじになってしまうので変更したいってことも合うと思います。

これらの設定は、[寸法スタイルを修正] ダイアログの [許容差] タブの 「高さの尺度」 とか 「許容差の位置合わせ」 のところで設定でいます。

動画も作ったので見てみてください。

2014年5月21日水曜日

プロファイルを 1 クリックで変更する方法(AutoCAD 2015)

プロファイルって使ってます?
 
[オプション] ダイアログでいろんな設定がありますが、全部ではないんですがそれらの設定をプロファイルに覚えておくことができます。
 
プロファイルはいくつも作れるので、いろんな設定をしておけばプロファイルを変更するだけで設定を変更することができます。
 
例えば背景色とかクロスヘアカーソルのサイズとか他にもいろいろです。
 
プロファイルを変更するときは [オプション] ダイアログの [プロファイル] タブで呼び出したいプロファイルをダブルクリックするんですが、AutoLISP のマクロをボタンに割り当てておけば 1 クリックで変更することができます。
 
例えば、以下の AutoLISP のマクロが実行されると、<<名前のないプロファイル>> という名前のプロファイルと TEST という名前のプロファイルで交互に切り替えられます。
 
^C^C(if (= (getvar "cprofile") "<<名前のないプロファイル>>")(vla-put-ActiveProfile (vla-get-Profiles (vla-get-Preferences (vlax-get-acad-object))) "TEST")(vla-put-ActiveProfile (vla-get-Profiles (vla-get-Preferences (vlax-get-acad-object))) "<<名前のないプロファイル>>"))
 
AutoLISP を使っているので LT では使えないですね。
LT の場合は 1 クリックでという訳には行かないのですが、必ず [プロファイル] タブがアクティブな状態で [オプション] ダイアログを表示されることができるちょっとだけ便利な方法(以下のマクロ)があります。
 
^C^C_+Options 9
 
動画も作ってみたので見てみてください。